-----------------------------------
-- Scannex Electronics Ltd
-- www.scannex.co.uk
-- 2008-05-09 MP
-----------------------------------
-- The following script was written
-- to filter Meridian alarms and
-- only store those that match the
-- predefined prefix list.
-----------------------------------


meridian_alarms={
 [3]="/HWR/CED/INI/XMI/TDS/BRI/ELA/",
 [4]="/DTM3/DTM4/DTA1/DTA2/NWS1/EDD1/OVD0/OVL3/PWR0/DCH:/PRI1/PRI3/PRI0/SYS0/SYS1/SYS2/SYS3/SYS4/SYS5/SYS6/SYS7/SYS8/SYS9/CSA0/",
 [5]="/CCED2/CCED3/CCED4/CCED5/CCED6/CCED7/CCED0/CSA10/PRI20/PRI21/PRI22/PRI23/PRI24/PRI25/PRI27/PRI28/PRI29/DTC104/",
 [6]="/DTC105/DTC005/"
}

function is_ma_n(s,n)
  return string.find(meridian_alarms[n],"/"..string.sub(s,1,n).."/",1,true)
end

function is_meridian_alarm(s)
 if is_ma_n(s,3) then return true end		-- Check 3 character prefixes
 if is_ma_n(s,4) then return true end		-- Check 4 character prefixes
 if is_ma_n(s,5) then return true end		-- Check 5 character prefixes
 if is_ma_n(s,6) then return true end		-- Check 6 character prefixes
 return false
end



---------------------------------------------
-- Bind the function for channel 4 processing
---------------------------------------------
x.chnl[4].src.onrecord = function(s,c,t)
 if is_meridian_alarm(s)
 then
   mem.write(c,s)
   trigger.push(c)	-- Delete this line if you don't want to push-on-alarm
 end
end

